#H
%define homepage http://www.ossii.com.tw/
%define default_bookmarks_file %{_datadir}/bookmarks/default-bookmarks.html
%define desktop_file_utils_version 0.9
%define nspr_version 4.6
%define nss_version 3.11.1
%define cairo_version 0.5
%define builddir %{_builddir}/mozilla
%define build_devel_package 1

%define official_branding 1
%define tarball  http://releases.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/source/firefox-%{version}-source.tar.bz2
%define datelang 20071201

Summary:        Mozilla Firefox Web browser.
Name:           firefox
Version:        2.0.0.11
Release:        1%{?dist}
URL:            http://www.mozilla.org/projects/firefox/
License:        MPLv1.1 or GPLv2+ or LGPLv2+
Group:          Applications/Internet
Source0:        %{tarball}
Source2:        firefox-langpacks-zh-%{version}-%{datelang}.tar.bz2
Source9:        firefox-mozconfig.fc4
Source10:       firefox-mozconfig
Source11:       firefox-mozconfig-branded
Source12:       firefox-ossii-default-prefs.js
Source13:       firefox-ossii-default-bookmarks.html
Source20:       firefox.desktop
Source21:       firefox-ossii.sh.in
Source22:       firefox.png
Source23:       firefox.1
Source50:       firefox-xremote-client.sh.in
Source100:      find-external-requires
Source101:      add-gecko-provides.in

# build patches
Patch1:         firefox-2.0-link-layout.patch

# customization patches
Patch20:        firefox-redhat-homepage.patch
Patch21:        firefox-0.7.3-psfonts.patch
Patch22:        firefox-1.1-default-applications.patch
Patch23:        firefox-1.1-software-update.patch

# local bugfixes
Patch40:        firefox-1.5-bullet-bill.patch
Patch41:        firefox-2.0.0.4-undo-uriloader.patch
Patch42:        firefox-1.1-uriloader.patch

# font system fixes
#Patch81:        firefox-1.5-nopangoxft.patch
Patch82:        firefox-1.5-pango-mathml.patch
Patch83:        firefox-1.5-pango-cursor-position.patch
Patch84:        firefox-2.0-pango-printing.patch
Patch85:        firefox-2.0-pango-ligatures.patch
Patch86:        firefox-1.5-pango-cursor-position-more.patch
Patch87:        firefox-1.5-pango-justified-range.patch
Patch88:        firefox-1.5-pango-underline.patch
Patch89:        firefox-1.5-xft-rangewidth.patch

# Other
Patch102:       firefox-1.5-theme-change.patch
Patch104:       firefox-1.5-ppc64.patch
Patch105:       firefox-2.0-dnd.patch
#Patch106:       firefox-2.0-indicator-crash.patch
Patch110:       firefox-2.0-startup-notify.patch
Patch111:       firefox-path.patch
Patch112:       firefox-2.0-enable-debug.patch

%if %{official_branding}
# Required by Mozilla Corporation


%else
# Not yet approved by Mozillla Corporation


%endif

# ---------------------------------------------------

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if 0%{?fedora} > 4
BuildRequires:  nspr-devel >= %{nspr_version}
BuildRequires:  nss-devel >= %{nss_version}
%endif
BuildRequires:  cairo-devel >= %{cairo_version}
BuildRequires:  libpng-devel, libjpeg-devel
BuildRequires:  zlib-devel, zip
BuildRequires:  libIDL-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  krb5-devel
BuildRequires:  pango-devel
BuildRequires:  freetype-devel >= 2.1.9
%if 0%{?fedora} > 4
BuildRequires:  libXt-devel
BuildRequires:  libXrender-devel

Requires:       nspr >= %{nspr_version}
Requires:       nss >= %{nss_version}
%endif
%if 0%{?fedora} > 6
BuildRequires:  system-bookmarks
%endif
Requires:  	cairo >= %{cairo_version}
Requires:       desktop-file-utils >= %{desktop_file_utils_version}
%if 0%{?fedora} > 6
Requires:       system-bookmarks
BuildRequires:  startup-notification-devel
%endif
Obsoletes:      phoenix, mozilla-firebird, MozillaFirebird
%if 0%{?fedora} > 4
Obsoletes:      mozilla <= 37:1.7.13
%endif
Provides:       webclient
%define mozappdir %{_libdir}/firefox-%{version}

%define _use_internal_dependency_generator 0

%if %{build_devel_package}
%define __find_provides %{_builddir}/add-gecko-provides
%else
%define __find_requires %{SOURCE100}
%endif

%description
Mozilla Firefox is an open-source web browser, designed for standards
compliance, performance and portability.

%if %{build_devel_package}
%package devel
Summary: Development files for Firefox
Group: Development/Libraries
Obsoletes: mozilla-devel
Requires: firefox = %{version}-%{release}
Requires: nspr-devel >= %{nspr_version}
Requires: nss-devel >= %{nss_version}

%description devel
Development files for Firefox.  This package exists temporarily.
When xulrunner has reached version 1.0, firefox-devel will be
removed in favor of xulrunner-devel.
%endif

#---------------------------------------------------------------------

%prep
echo CIBLE = %{name}-%{version}-%{release}
[ -f %{SOURCE2} ] || exit 1
%setup -q -n mozilla
%patch1   -p1 -b .link-layout

#%patch20 -p0
%patch21 -p1 -b .psfonts
%patch22 -p0 -b .default-applications
#%patch23 -p0
%patch40 -p1 -b .bullet-bill
%patch41 -p1 -b .undo-uriloader
%patch42 -p0 -b .uriloader
#%patch81 -p1 -b .nopangoxft
#%patch82 -p1 -b .pango-mathml
%patch83 -p1 -b .pango-cursor-position
%patch84 -p0 -b .pango-printing
%patch85 -p1 -b .pango-ligatures
%patch86 -p1 -b .pango-cursor-position-more
%patch87 -p1 -b .pango-justified-range
%patch88 -p1 -b .pango-underline
%patch89 -p1 -b .nopangoxft2

%patch102 -p0 -b .theme-change
%patch104 -p1 -b .ppc64
%patch105 -p0 -b .dnd
#%patch106 -p1 -b .indicator-crash
%if 0%{?fedora} > 6
%patch110 -p0 -b .startup-notify
%endif
%patch111 -p1 -b .path
%patch112 -p1 -b .debug

# For branding specific patches.

%if %{official_branding}
# Required by Mozilla Corporation


%else
# Not yet approved by Mozilla Corporation


%endif

%{__rm} -f .mozconfig

%{__cp} %{SOURCE9} .mozconfig

%if 0%{?fedora} > 4
cat <<EOF >>.mozconfig
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --enable-pango
ac_add_options --enable-strip
ac_add_options --enable-strip-libs
EOF
%endif

%if 0%{?fedora} > 6
cat <<EOF >>.mozconfig
ac_add_options --enable-startup-notification
EOF
%endif

%if %{official_branding}
%{__cat} %{SOURCE11} >> .mozconfig
%endif

# set up our default bookmarks
%if 0%{?fedora} > 6
# set up our default bookmarks
%{__cp} %{default_bookmarks_file} $RPM_BUILD_DIR/mozilla/profile/defaults/bookmarks.html
%else
cp %{SOURCE13} $RPM_BUILD_DIR/mozilla/profile/defaults/bookmarks.html
%endif

# set up our default homepage
%{__cat} >> %{SOURCE12} << EOF
pref("browser.startup.homepage", "%{homepage}");
pref("startup.homepage_override_url", "%{homepage}");
pref("startup.homepage_welcome_url", "%{homepage}");
pref("network.protocol-handler.app.mms", "/usr/bin/mplayer");
pref("network.protocol-handler.warn-external.mms", false);
pref("print.postscript.paper_size", "A4");
EOF


#---------------------------------------------------------------------

%build

# Build with -Os as it helps the browser; also, don't override mozilla's warning
# level; they use -Wall but disable a few warnings that show up _everywhere_
MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %{__sed} -e 's/-O2/-Os/' -e 's/-Wall//')

export RPM_OPT_FLAGS=$MOZ_OPT_FLAGS
export PREFIX='%{_prefix}'
export LIBDIR='%{_libdir}'

%ifarch ppc ppc64 s390 s390x
%define moz_make_flags -j1
%else
%define moz_make_flags %{?_smp_mflags}
%endif

export LDFLAGS="-Wl,-rpath,%{mozappdir}"
export MAKE="gmake %{moz_make_flags}"
make -f client.mk build

#---------------------------------------------------------------------

%install
%{__rm} -rf $RPM_BUILD_ROOT

DESTDIR=$RPM_BUILD_ROOT make install

%{__mkdir_p} $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/applications}

%{__install} -p -D -m 644 %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png


desktop-file-install --vendor mozilla \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category WebBrowser \
  --add-category Network \
  %{SOURCE20} 

echo -e 'Name[zh_TW]=火狐網頁瀏覽器\nComment[zh_TW]=以 Firefox 瀏覽網頁' >> $RPM_BUILD_ROOT%{_datadir}/applications/mozilla-%{name}.desktop

# set up the firefox start script
%{__cat} %{SOURCE21} | %{__sed} -e 's,FIREFOX_VERSION,%{version},g' > \
  $RPM_BUILD_ROOT%{_bindir}/firefox
%{__chmod} 755 $RPM_BUILD_ROOT%{_bindir}/firefox

# set up our default preferences
%{__cat} %{SOURCE12} | %{__sed} -e 's,FIREFOX_RPM_VR,%{version}-%{release},g' > ossii-default-prefs
%{__cp} ossii-default-prefs $RPM_BUILD_ROOT/%{mozappdir}/greprefs/all-ossii.js
%{__cp} ossii-default-prefs $RPM_BUILD_ROOT/%{mozappdir}/defaults/pref/all-ossii.js
%{__rm} ossii-default-prefs

# set up our default bookmarks
%{__rm} -f $RPM_BUILD_ROOT%{mozappdir}/defaults/profile/bookmarks.html
%if 0%{?fedora} > 6
ln -s %{default_bookmarks_file} $RPM_BUILD_ROOT%{mozappdir}/defaults/profile/bookmarks.html
%else
%{__cp} %{SOURCE13} $RPM_BUILD_ROOT%{mozappdir}/defaults/profile/bookmarks.html
%endif

%{__cat} %{SOURCE50} | %{__sed} -e 's,FFDIR,%{mozappdir},g' -e 's,LIBDIR,%{_libdir},g' > \
  $RPM_BUILD_ROOT%{mozappdir}/firefox-xremote-client

%{__chmod} 755 $RPM_BUILD_ROOT%{mozappdir}/firefox-xremote-client
%{__install} -p -D -m 644 %{SOURCE23} $RPM_BUILD_ROOT%{_mandir}/man1/firefox.1

%{__rm} -f $RPM_BUILD_ROOT%{mozappdir}/firefox-config

cd $RPM_BUILD_ROOT%{mozappdir}/chrome
find . -name "*" -type d -maxdepth 1 -exec %{__rm} -rf {} \;
cd -

%{__cat} > $RPM_BUILD_ROOT%{mozappdir}/defaults/pref/firefox-l10n.js << EOF
pref("general.useragent.locale", "zh_TW");
EOF
%{__chmod} 644 $RPM_BUILD_ROOT%{mozappdir}/defaults/pref/firefox-l10n.js

%{__mkdir_p} $RPM_BUILD_ROOT%{mozappdir}/chrome/icons/default/
%{__cp} other-licenses/branding/%{name}/default.xpm \
        $RPM_BUILD_ROOT%{mozappdir}/chrome/icons/default/ 
%{__cp} other-licenses/branding/%{name}/default.xpm \
        $RPM_BUILD_ROOT%{mozappdir}/icons/

# own mozilla plugin dir (#135050)
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins

# Install langpacks
%{__mkdir_p} $RPM_BUILD_ROOT%{mozappdir}/extensions
%{__tar} xjf %{SOURCE2}
>firefox.lang
for langpack in `ls firefox-langpacks/*.xpi`; do
  language=`basename $langpack .xpi`
  extensiondir=$RPM_BUILD_ROOT%{mozappdir}/extensions/langpack-$language@firefox.mozilla.org
  %{__mkdir_p} $extensiondir
  unzip $langpack -d $extensiondir
  find $extensiondir -type f | xargs chmod 644

  echo "%lang(${language/-/_}) %{mozappdir}/extensions/langpack-$language@firefox.mozilla.org" >>firefox.lang

  tmpdir=`mktemp -d %{name}.XXXXXXXX`
  langtmp=$tmpdir/%{name}/langpack-$language

  %{__mkdir_p} $langtmp
  jarfile=$extensiondir/chrome/$language.jar
  unzip $jarfile -d $langtmp

  sed -i -e "s|browser.startup.homepage.*$|browser.startup.homepage=%{homepage}|g;" \
         -e "s|startup.homepage_override_url.*$|startup.homepage_override_url=%{homepage}|g;" \
         $langtmp/locale/browser-region/region.properties

  if [ $language == "zh-TW" ]; then
    sed -i "s|intl.menuitems.insertseparatorbeforeaccesskeys.*$|intl.menuitems.insertseparatorbeforeaccesskeys=false|g;" $langtmp/locale/zh-TW/global/intl.properties
    sed -i 's|helpMenu.label "說明"|helpMenu.label "求助"|g;' $langtmp/locale/browser/baseMenuOverlay.dtd
  fi

  find $langtmp -type f | xargs chmod 644
  %{__rm} -rf $jarfile
  cd $langtmp
  zip -r -D $jarfile locale
  cd -
  %{__rm} -rf $tmpdir
done
%{__rm} -rf firefox-langpacks

# Prepare our devel package
%if %{build_devel_package}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_includedir}/firefox-%{version}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_datadir}/idl/firefox-%{version}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
%{__cp} -rL dist/include/* \
  $RPM_BUILD_ROOT/%{_includedir}/firefox-%{version}
%{__cp} -rL dist/idl/* \
  $RPM_BUILD_ROOT/%{_datadir}/idl/firefox-%{version}
install -c -m 755 dist/bin/xpcshell \
  dist/bin/xpidl \
  dist/bin/xpt_dump \
  dist/bin/xpt_link \
  $RPM_BUILD_ROOT/%{mozappdir}
install -c -m 644 build/unix/*.pc \
  $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
%endif

%if 0%{?fedora} > 5

# GRE stuff
%ifarch x86_64 ia64 ppc64 s390x
%define gre_conf_file gre64.conf
%else
%define gre_conf_file gre.conf
%endif

%{__mkdir_p} $RPM_BUILD_ROOT/etc/gre.d/
%{__cat} > $RPM_BUILD_ROOT/etc/gre.d/%{gre_conf_file} << EOF
[%{version}]
GRE_PATH=%{mozappdir}
EOF

%endif

GECKO_VERSION=$(./config/milestone.pl --topsrcdir='.')
%{__cat} %{SOURCE101} | %{__sed} -e "s/@GECKO_VERSION@/$GECKO_VERSION/g" > \
                        %{_builddir}/add-gecko-provides
chmod 700 %{_builddir}/add-gecko-provides

# Copy over the LICENSE
install -c -m 644 LICENSE $RPM_BUILD_ROOT%{mozappdir}

# ghost files
touch $RPM_BUILD_ROOT%{mozappdir}/components/compreg.dat
touch $RPM_BUILD_ROOT%{mozappdir}/components/xpti.dat

# RC patch for lang
sed -i -s /intl.locale.matchOS/s/false/true/ $RPM_BUILD_ROOT%{mozappdir}/greprefs/all.js

%if 0%{?fedora} > 5
%{__mkdir_p} $RPM_BUILD_ROOT/etc/readahead.d
find $RPM_BUILD_ROOT%{mozappdir} -type f  -size +3k | 
   grep -v langpack |
   sed -e s@$RPM_BUILD_ROOT@@ >$RPM_BUILD_ROOT%{_sysconfdir}/readahead.d/firefox.later
%endif

#---------------------------------------------------------------------

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%pre
echo "WARNING : This %{name} RPM is not an offical Fedora build and it"
echo "overrides the official one. Don't file bugs on Fedora Project."

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications

%preun
# is it a final removal?
if [ $1 -eq 0 ]; then
  %{__rm} -rf %{mozappdir}/components
  %{__rm} -rf %{mozappdir}/extensions
fi

%files -f firefox.lang
%defattr(-,root,root,-)
%{_bindir}/firefox
%exclude %{_bindir}/firefox-config
%{_mandir}/man1/*
%{_datadir}/applications/mozilla-%{name}.desktop
%{_datadir}/pixmaps/firefox.png
%{_libdir}/mozilla
%if 0%{?fedora} > 5
%dir /etc/gre.d
/etc/gre.d/%{gre_conf_file}
%endif

%dir %{mozappdir}
%{mozappdir}/LICENSE
%{mozappdir}/*.properties
%{mozappdir}/chrome
%{mozappdir}/chrome.manifest
%{mozappdir}/dictionaries
%dir %{mozappdir}/components
%ghost %{mozappdir}/components/compreg.dat
%ghost %{mozappdir}/components/xpti.dat
%{mozappdir}/components/*.so
%{mozappdir}/components/*.xpt
%{mozappdir}/components/*.js
%{mozappdir}/defaults
%dir %{mozappdir}/extensions
%{mozappdir}/extensions/inspector@mozilla.org
%{mozappdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}
%{mozappdir}/greprefs
%{mozappdir}/icons
%{mozappdir}/init.d
%{mozappdir}/plugins
%{mozappdir}/res
%{mozappdir}/searchplugins
%{mozappdir}/*.so
%{mozappdir}/firefox
%{mozappdir}/firefox-bin
%{mozappdir}/firefox-xremote-client
%{mozappdir}/mozilla-xremote-client
%{mozappdir}/run-mozilla.sh
%{mozappdir}/regxpcom
# XXX See if these are needed still
%{mozappdir}/updater*
%if 0%{?fedora} > 5
%config(noreplace)  %{_sysconfdir}/readahead.d/firefox.later
%endif

%if %{build_devel_package}
%files devel
%defattr(-,root,root)
%{_datadir}/idl/firefox-%{version}
%{_includedir}/firefox-%{version}
%{mozappdir}/TestGtkEmbed
%{mozappdir}/xpcshell
%{mozappdir}/xpicleanup
%{mozappdir}/xpidl
%{mozappdir}/xpt_dump
%{mozappdir}/xpt_link
%{_libdir}/pkgconfig/firefox-xpcom.pc
%{_libdir}/pkgconfig/firefox-plugin.pc
%{_libdir}/pkgconfig/firefox-js.pc
%{_libdir}/pkgconfig/firefox-gtkmozembed.pc
%exclude %{_libdir}/pkgconfig/firefox-nspr.pc
%exclude %{_libdir}/pkgconfig/firefox-nss.pc
%if 0%{?fedora} == 4
%exclude %{mozappdir}/*.chk
%exclude %{_datadir}/aclocal/nspr.m4
%endif

%endif

#---------------------------------------------------------------------

%changelog
* Mon Dec  3 2007 Rick Zhang <rickz@ossii.com.tw> 2.0.0.11-1.ossii
- Rebuild 2.0.0.11 for M6(CentOS5)

* Sat Dec  1 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.11-1.fc#.remi
- Update to 2.0.0.11 Finale

* Fri Nov 30 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.11-0.1.rc1.fc8.remi
- Update to 2.0.0.11 Release Candidate 1

* Thu Nov 29 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.10-1.fc#.remi.1
- rebuild for FC <= 5 (correct sources)

* Wed Nov 28 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.10-1.fc#.remi
- rebuild for FC <= 6

* Mon Nov 26 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.10-1
- Update to 2.0.0.10

* Sun Nov 18 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.10-0.1.rc1.fc8.remi
- Update to 2.0.0.10 Release Candidate 1

* Fri Nov 02 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.9-1.fc#.remi
- Update to 2.0.0.9 Finale

* Sat Oct 27 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.9-0.1.rc1.fc7.remi
- Update to 2.0.0.9 Release Candidate 1

* Fri Oct 19 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.8-1.fc#.remi
- Update to 2.0.0.8 Finale

* Sat Oct 13 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.8-0.1.rc2.fc7.remi
- Update to 2.0.0.8 Release Candidate 2

* Sat Oct 06 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.8-0.1.rc1.fc7.remi
- Update to 2.0.0.8 Release Candidate 1 (resync with rawhide)

* Mon Sep 26 2007 Martin Stransky <stransky@redhat.com> 2.0.0.6-11
- Fixed #242657 - firefox -g doesn't work

* Mon Sep 25 2007 Martin Stransky <stransky@redhat.com> 2.0.0.6-10
- Removed hardcoded MAX_PATH, PATH_MAX and MAXPATHLEN macros

* Mon Sep 24 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.6-9
- Startup notification support

* Tue Sep 18 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.7-1.fc#.remi
- Update to 2.0.0.7

* Sat Sep 15 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.7-0.1.rc2.fc#.remi
- Update to 2.0.0.7 Release Candidate 2

* Tue Sep 11 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.6-8
- Fix crashes when using GTK+ themes containing a gtkrc which specify 
  GtkOptionMenu::indicator_size and GtkOptionMenu::indicator_spacing

* Mon Sep 10 2007 Martin Stransky <stransky@redhat.com> 2.0.0.6-7
- added fix for #246248 - firefox crashes when searching for word "do"

* Thu Sep  6 2007 Christopher Aillon <caillon@redhat.com> - 2.0.0.6-6
- Fix default page for all locales

* Wed Aug 29 2007 Christopher Aillon <caillon@redhat.com> - 2.0.0.6-5
- Tweak the default home page

* Sat Aug 25 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.7-0.1.rc1.fc#.remi
- Update to 2.0.0.7 Release Candidate 1

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 2.0.0.6-4
- Rebuild for build ID

* Mon Aug 13 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.6-3
- Update the license tag

* Sun Aug 12 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.6-1.fc4.remi.1
- remove Obsolete mozilla for FC4

* Sun Aug 12 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.6-1.fc#.remi
- FC <= 6 rebuild

* Mon Aug 6 2007 Martin Stransky <stransky@redhat.com> 2.0.0.6-2
- unwrapped plugins moved to the old location
- removed plugin configuration utility

* Sat Aug  4 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.6-1
- Update to 2.0.0.6
- Fix dnd support to/from gtk2 apps
- Fix installed permissions of *.png

* Mon Jul 23 2007 Martin Stransky <stransky@redhat.com> 2.0.0.5-3
- added nspluginwrapper support

* Wed Jul 18 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.5-1.fc#.remi
- FC <= 6 rebuild

* Wed Jul 18 2007 Kai Engert <kengert@redhat.com> - 2.0.0.5-2
- Update to 2.0.0.5

* Wed Jul 11 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.4-3.fc#.remi
- FC <= 6 rebuild

* Fri Jun 29 2007 Martin Stransky <stransky@redhat.com> 2.0.0.4-3
- backported pango patches from FC6 (1.5.0.12)

* Wed Jun  6 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.4-2.fc#.remi
- FC <= 6 rebuild

* Sun Jun  3 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.4-2
- Properly clean up threads with newer NSPR

* Wed May 30 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.4-1
- Final version

* Wed May 30 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.4-1.fc#.remi
- Update to 2.0.0.4

* Wed May 23 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.4-0.rc3
- Update to 2.0.0.4 RC3

* Thu May 17 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.4-0.rc3.fc6.remi.1
- add /etc/readahead.d/firefox.later
- add %%lang to extensions

* Tue May 15 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.4-0.rc3.fc6.remi
- Update to 2.0.0.4 RC 3

* Thu May 10 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.4-0.rc2.fc6.remi
- Update to 2.0.0.4 RC 2

* Tue Apr 17 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.3-4
- Fix permissions of the man page

* Tue Apr 10 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.3-3
- Ensure initial homepage on all locales is our proper default

* Sun Mar 25 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.3-2
- Fix the symlink to default bookmarks
- Use mktemp for temp dirs

* Tue Mar 20 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.3-1
- Update to 2.0.0.3

* Tue Mar 20 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.3-1.fc{4,5,6}.remi
- Update to 2.0.0.3 final

* Tue Mar 20 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.2-3
- Default bookmarks no longer live here; use system-bookmarks

* Sat Mar 17 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.3-0.1.rc1.fc6.remi
- Update to 2.0.0.3 rc1

* Mon Mar 12 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.2-2
- Oops, define the variables I expect to use.

* Sat Feb 24 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.2-1.fc6.remi
- Update to 2.0.0.2
- don't use locale solution from rawhide nor 32-bit browser patch

* Fri Feb 23 2007 Martin Stransky <stransky@redhat.com> 2.0.0.2-1
- Update to 2002

* Wed Feb 21 2007 David Woodhouse <dwmw2@redhat.com> 2.0.0.1-6
- Fix PPC64 runtime
- Fix firefox script to use 32-bit browser by default on PPC64 hardware

* Fri Feb  9 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.1-5
- Start using the specified locale

* Thu Feb 01 2007 Remi Collet <rpms@famillecollet.com> 2.0.0.1-3.fc6.remi
- rebuilt from rawhide

* Tue Jan 30 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.1-4
- Fix the DND implementation to not grab, so it works with new GTK+.

* Thu Jan 18 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.1-3
- Remove the XLIB_SKIP_ARGB_VISUALS=1 workaround; the plugin got fixed.

* Sat Dec 23 2006 Remi Collet <rpms@famillecollet.com> 2.0.0.1-2.fc6.remi
- rebuilt from rawhide

* Fri Dec 22 2006 Christopher Aillon <caillon@redhat.com> 2.0.0.1-2
- Strip out some frequent warnings; they muddy up the build output

* Thu Dec 21 2006 Christopher Aillon <caillon@redhat.com> 2.0.0.1-1
- Update to 2001

* Thu Dec 21 2006 Remi Collet <rpms@famillecollet.com> 2.0.0.1-1.fc6.remi
- Update to 2.0.0.1

* Sat Nov 11 2006 Remi Collet <rpms@famillecollet.com> 2.0-2.fc6.remi
- x86_64 rebuild

* Fri Oct 27 2006 Christopher Aillon <caillon@redhat.com> 2.0-2
- Tweak the .desktop file

* Tue Oct 24 2006 Christopher Aillon <caillon@redhat.com> 2.0-1
- Update to 2.0
- Add patch from Behdad to fix pango printing.

* Tue Oct 24 2006 Remi Collet <rpms@famillecollet.com> 2.0-1.fc{4,5,6}.remi
- update to 2.0 (final)

* Sat Oct 21 2006 Remi Collet <rpms@famillecollet.com> 2.0-0.3.1.fc5.remi
- rebuild from C.Aillon specfile (FC7/rawhide)
- remplace Fedora by Remi in UserAgent (request from C.Aillon)
- remove Obsolete : deerpark, firefox-langpack-fr
- add pre-install warning

* Wed Oct 14 2006 Remi Collet <rpms@famillecollet.com> 2.0-0.3.fc5.remi
- update to 2.0rc3
- include all the 38 langpacks

* Wed Oct 11 2006 Christopher Aillon <caillon@redhat.com> 1.5.0.7-7
- Add virtual provides for gecko applications.

* Sun Oct  8 2006 Remi Collet <rpms@famillecollet.com> 2.0-0.2.fc5.remi
- update to 2.0rc2
- add firefox-2.0-layout-make.patch

* Wed Oct  4 2006 Christopher Aillon <caillon@redhat.com> 1.5.0.7-6
- Bring the invisible character to parity with GTK+

* Sat Sep 30 2006 Remi Collet <rpms@famillecollet.com> 2.0-0.1.fc5.remi
- update to 2.0rc1

* Sat Sep 16 2006 Remi Collet <rpms@famillecollet.com> 1.5.0.7-1.fc4.remi
- rebuild for FC4 from official FC5 SRPM.

* Wed Sep 13 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.7-1
- Update to 1.5.0.7
- Bring in pango patches from rawhide to fix MathML and cursor positioning

* Fri Aug 18 2006 Remi Collet <rpms@famillecollet.com> 1.5.0.6-1.fc4.remi
- rebuild for FC4 from official FC5 SRPM.

* Thu Aug 08 2006 Jesse Keating <jkeating@redhat.com> - 1.5.0.6-2
- Use dist tag
- rebuild

* Thu Aug 03 2006 Kai Engert <kengert@redhat.com> - 1.5.0.6-1.1.fc5
- Update to 1.5.0.6

* Thu Jul 27 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.5-1.1.fc5
- Update to 1.5.0.5

* Wed Jul 26 2006 Remi Collet <rpms@famillecollet.com> 1.5.0.5-1.fc{4,5}.remi
- update to 1.5.0.4 (37 langpacks, new : fy-NL)

* Mon Jun 12 2006 Kai Engert <kengert@redhat.com> - 1.5.0.4-1.1.fc5
- Firefox 1.5.0.4

* Fri Jun  3 2006 Remi Collet <rpms@famillecollet.com> 1.5.0.4-1.fc{4,5}.remi
- update to 1.5.0.4

* Thu May  4 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.3-1.1.fc5
- Firefox 1.5.0.3

* Wed May  3 2006 Remi Collet <rpms@famillecollet.com> 1.5.0.3-1.fc{4,5}.remi
- update to 1.5.0.3

* Wed Apr 19 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.2-1.2.fc5
- Drop some broken language packs.

* Mon Apr 17 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.2-1.1.fc5
- Update to 1.5.0.2

* Sun Apr 16 2006 Remi Collet <rpms@famillecollet.com> 1.5.0.2-1.fc5.remi
- rebuild for FC5 and for FUN

* Fri Apr 14 2006 Remi Collet <rpms@famillecollet.com> 1.5.0.2-1.fc4.remi
- rebuild for FC4
- langpacks from 1.5.0.2 (buf sv-SE from 1.5.0.1, maxversion updated)
- 5 more langpacks : bg, gu-IN, lt, mn, pa-IN

* Thu Apr 13 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.2-2
- Firefox 1.5.0.2

* Sat Feb 25 2006 Remi Collet <RPMS@famillecollet.com> 1.5.0.1-5.fc4.remi
- rebuild for FC4

* Mon Feb 20 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-5
- Rebuild

* Mon Feb 20 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-4
- Ensure our wrapper handles URLs with commas/spaces (Ilya Konstantinov)
- Fix a pango typo

* Fri Feb 10 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-3
- Improve the langpack install stuff
- Fix up dumpstack.patch to match the finalized change

* Tue Feb  7 2006 Jesse Keating <jkeating@redhat.com> - 1.5.0.1-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb  2 2006 Remi Collet <RPMS@famillecollet.com> 1.5.0.1-1.fc4.remi
- rebuild for FC4
- obsoletes firefox-langpack-fr

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-2
- Update language packs to 1.5.0.1
- Add dumpstack.patch

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-1
- Update to 1.5.0.1

* Thu Jan 26 2006 Christopher Aillon <caillon@redhat.com> - 1.5-5
- Ship langpacks again from upstream
- Stop providing MozillaFirebird and mozilla-firebird

* Tue Jan  3 2006 Christopher Aillon <caillon@redhat.com> - 1.5-4
- Looks like we can build ppc64 again.  Happy New Year!

* Wed Dec 28 2005 Remi Collet <remi.collet@univ-reims.fr> 1.5-3.fc4.remi
- add missing Requires for cairo
- rebuild for FC4

* Fri Dec 16 2005 Christopher Aillon <caillon@redhat.com> - 1.5-3
- Once again, disable ppc64 because of a new issue.
  See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=175944

* Thu Dec 15 2005 Christopher Aillon <caillon@redhat.com> - 1.5-2
- Use the system NSS libraries
- Build on ppc64

* Fri Dec 02 2005 Remi Collet <remi.collet@univ-reims.fr> 1.5-1.fc4.remi
- rebuild for FC4

* Tue Nov 29 2005 Christopher Aillon <caillon@redhat.com> - 1.5-1
- Update to Firefox 1.5

* Mon Nov 28 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.1.rc3
- Fix issue with popup dialogs and other actions causing lockups

* Sat Nov 19 2005 Remi Collet <remi.collet@univ-reims.fr> deerpark-1.5-0.5.0.fc4.remi.rc3
- Update to 1.5 rc3

* Fri Nov 18 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.0.rc3
- Update to 1.5 rc3

* Mon Nov  7 2005 Remi Collet <remi.collet@univ-reims.fr> deerpark-1.5-0.5.0.fc4.remi.rc1
- deerpark for FC4

* Thu Nov  3 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.0.rc1
- Update to 1.5 rc1
- Clean up the default bookmarks

* Sun Oct  9 2005 Remi Collet <remi.collet@univ-reims.fr> deerpark-1.5-0.5.0.fc4.remi.beta2
- deerpark for FC4

* Sat Oct  8 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.0.beta2
- Update to 1.5 beta 2

* Sat Sep 17 2005 Remi Collet <remi.collet@univ-reims.fr> deerpark-1.5-0.5.0.fc4.remi
- built for FC4, distinct from firefox

* Wed Sep 14 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.0.beta1
- Update to 1.5 beta 1.
- Add patch to svg rendering to adjust for cairo behavior.
- Happy birthday, dad!

